<!doctype html>
<html>
  <head>
    <title>W3.CSS Template</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="/favicon.svg" type="image/svg+xml" />
    <link rel="stylesheet" type="text/css" href="/style.css" />
  </head>
  <body>
    <div class="flex-wrapper">
      <div>
        <header class="w3-center w3-full w3-container w3-padding">
          <h4>Florians</h4>
          <h1 class="w3-xxxlarge">Temperatursensor 9000</h1>
          Version
          <!--firmware_version-->
        </header>

        <div
          class="w3-content w3-margin-top w3-card-4 w3-padding-large w3-theme w3-animate-bottom"
        >
          <h2>Aktuelle Temperatur</h2>
          <h3>
            <!--current_temperature-->
            °C
          </h3>
        </div>

        <div
          class="w3-content w3-margin-top w3-card-4 w3-padding-large w3-theme w3-animate-bottom"
        >
          <h2>Alarmkonfiguration</h2>
          <p>
            Aktuell bei
            <!--alarm_temperature-->°C
          </p>
          <p>
            Gib die Temperatur ein, bei der du einen Alarm erhalten möchtest,
            wenn sie unterschritten wird.
          </p>
          <form action="/">
            <input
              id="temperature"
              name="temperature"
              class="w3-input"
              type="number"
              required
            />
            <label>Alarm Temperatur</label>
            <div class="w3-section w3-center">
              <input
                class="w3-button w3-theme-dark"
                type="submit"
                value="Speichern"
              />
            </div>
          </form>
        </div>

        <div
          class="w3-content w3-margin-top w3-card-4 w3-padding-large w3-theme w3-animate-bottom"
        >
          <p>
            Erhalte die Push Nachrichten in
            <a href="https://ntfy.sh/">ntfy</a>. Installiere die App und
            subscribe zum Topic <em>florian_temperatur_sensor</em>.
          </p>
        </div>
      </div>

      <footer class="w3-container w3-padding-large">
        <h3>Sunomi Embedded Devices</h3>
        <p>
          Powered by
          <a href="https://www.w3schools.com/w3css/default.asp" target="_blank"
            >w3.css</a
          >
        </p>
      </footer>
    </div>
  </body>
</html>
